Subject: RE: [Ospf-manet] Re: Ospf-manet Digest, Vol 10, Issue 8

From: "Stan Ratliff \(sratliff\)" <[email-masked]>
Date: Mon, 2 Oct 2006 13:57:07 -0400

Richard, 

*sigh*...

>-----Original Message-----
>From: Richard Ogier [mailto:[email-masked]] 
>Sent: Monday, October 02, 2006 1:14 PM
>To: Philippe Jacquet
>Cc: [email-masked]
>Subject: Re: [Ospf-manet] Re: Ospf-manet Digest, Vol 10, Issue 8
>
>Philippe,
>
>As you can see, Aniket and I (and I am sure several others) disagree
>with you. Au contraire, the MDR proposal is the only one that started
>with OSPF and asked "what is the best way to extend OSPF to 
>support MANETs".

Au contraire, indeed. You flatter yourself, sir. I was present at the
meetings 
that ultimately developed the Chandra draft. And "what is the best way
to
extend OSPF to support MANET's" is *EXACTLY* the question we 
asked ourselves. This type of assertion implies that all of the other
drafts 
somehow *DON'T* have this question in mind. Therefore, it isn't helpful
to 
the dialog.

>MPRs were invented without even thinking about OSPF (I know 
>that OSPF is
>not your background), and now you are trying to fit them in because you
>have a special interest in MPRs.
>Aniket once told me that if OSPF were originally designed for wireless,
>they would have taken the same MDR approach. I am hoping that 
>people who
>understand and appreciate OSPF will agree with this.  In a 
>future message,
>I will explain further why the MDR approach is a "natural" way 
>to extend
>OSPF.
>

Well, there you go again, with the "natural" description. I think Russ 
White put it best, I'll just copy his response in here: 

"Essentially, the language in use ("MDR's are a 'natural' extension of
OSPF") is biased, implying all the other proposals are not. Let's drop
calling anything a "natural" extension to OSPF, since it doesn't really
provide real meaning."

So, can we re-focus the discussion on to how to proceed from here,
please?

Regards,
Stan

>Richard
>
>Philippe Jacquet wrote:
>
>> Even if we go to experimental, it seems that only OR and OSPF-MPR 
>> would a priori fit. The MDR proposal would need to be very deeply 
>> reworked. Now it looks more like a patchwork of optional 
>recipes, some 
>> of them unecessarily complex, none based on matured background or 
>> diversified experimentation. The draft as it is, seems to 
>contain one 
>> hundred protocols and  the inflation will lilely continue as 
>far as I 
>> understand.
>> OR and OSPF-MPR show at least a unity and present clear solutions 
>> which can be exploited, and are based on elements that have already 
>> received considerable attention in the past.
>>
>> BTW if you fix the objective to synchronize all links, the 
>MDR concept 
>> will loose any benefit.
>> Best regards,
>> Philippe
>>
>> Richard Ogier wrote:
>>
>>> Russ White wrote:
>>>
>>>> -----BEGIN PGP SIGNED MESSAGE-----
>>>> Hash: SHA1
>>>>
>>>>
>>>>>> The problem is, as I see it, that there simply won't be any more 
>>>>>> for the
>>>>>> moment. In other words--no-one, at least on the OR side, is 
>>>>>> putting any
>>>>>> more effort into the work, since there is no apparent commercial
>>>>>> interest beyond what's been implemented to do that further work.
>>>>>>
>>>>> If your company is not putting more work into it, and there is no 
>>>>> other
>>>>> commercial interest expressed to do more work on this topic or to
>>>>> implement this, then I agree that it begs the question of 
>whether we
>>>>> need to actively continue.
>>>>>
>>>
>>> If one considers OSPF to be an important routing standard, and one
>>> considers the MANET interface to be an important interface type
>>> in networks that use IP routing (which I believe is true), then
>>> it makes sense to extend OSPF to support the MANET interface.
>>> Many of us knew from the beginning that such an extension would
>>> be useful for military applications, but it will likely be useful
>>> for many other applications in the next 10 years.
>>> Build it and they will come.
>>>
>>> One example is the recent contract between Cisco, IBM, and 
>Google for
>>> building a wireless mesh that covers much of the SF Bay Area.
>>> http://www.networkworld.com/news/2006/090506-cisco-ibm-wireless.html
>>> I'm not sure what routing protocol will be used for this, but it
>>> indicates that a MANET extension of OSPF is likely to be useful
>>> in the future.
>>>
>>>>>
>>>>
>>>> That's my understanding, as of a meeting about a week 
>ago.... Which is
>>>> why, perhaps, retrenching, going experimental, and considering our
>>>> options is maybe a better option at this point (?).
>>>>
>>>
>>> With all the recent comments from Cisco, there must be 
>*some* interest
>>> in such an extension.  But I still think we will progress faster if
>>> we focus on a single solution, one that belongs to the WG 
>rather than
>>> a proprietary solution that is under the control of one company.
>>>
>>> If we do go with two experimental drafts, then we need to make sure
>>> we agree on a plan to compare the solutions in a fair manner.
>>> But we already had such a plan, and some are not cooperating with
>>> the plan as Tom has pointed out.  I really think we should agree
>>> on a *single* extension of OSPF for MANETs.  I think we pretty
>>> much agree on the objectives, and different tradeoffs between
>>> different objectives (such as robustness versus overhead) can
>>> be achieved by selecting parameter values within a *single*
>>> solution (e.g., using biconnected adjacencies versus uniconnected
>>> adjacencies, or even full-topology adjacencies).
>>>
>>> I think there will be multiple standards for MANET routing, i.e.,
>>> OSPF-MANET and a non-OSPF MANET protocol.  But there should be
>>> only one standard for OSPF-MANET.
>>>
>>> Richard
>>>
>>>>
>>>>
>>>> :-)
>>>>
>>>> Russ
>>>>
>>>> - --
>>>> [email-masked] CCIE <>< Grace Alone
>>>>
>>>> -----BEGIN PGP SIGNATURE-----
>>>> Version: GnuPG v1.4.2.2 (MingW32)
>>>> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org
>>>>
>>>> iD8DBQFFHZZDER27sUhU9OQRAkQaAJ9W621disbpXQX282IDClekNKDo6ACg8mvp
>>>> ik+Xo7w1g3+AcMBTUfthFRw=
>>>> =KyHe
>>>> -----END PGP SIGNATURE-----
>>>>
>>>> _______________________________________________
>>>> Ospf-manet mailing list
>>>> [email-masked]
>>>> https://www1.ietf.org/mailman/listinfo/ospf-manet
>>>>
>>>>
>>>
>>>
>>>
>>> _______________________________________________
>>> Ospf-manet mailing list
>>> [email-masked]
>>> https://www1.ietf.org/mailman/listinfo/ospf-manet
>>>
>>>
>>
>>
>>
>
>
>
>_______________________________________________
>Ospf-manet mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/ospf-manet
>

_______________________________________________
Ospf-manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf-manet

---

From: Richard Ogier <[email-masked]>
Date: Mon, 02 Oct 2006 12:33:10 -0700

>White put it best, I'll just copy his response in here:

As I said, I will explain in a *future* message why the MDR approach is a
natural way to extend OSPF.  I was planning to do this as a reply to
Russ White's paragraph that you copied below.  So your Reagan response
("there you go again") is not appropriate since I am simply saying I will
address this later.  You are welcome to respond after I post such a message
(in the next few days).  But many of us already agree with this.

Richard

---

From: Russ White <[email-masked]>
Date: Mon, 02 Oct 2006 16:55:15 -0400

> natural way to extend OSPF.  I was planning to do this as a reply to

IMHO, it doesn't matter what you think is a "natural" and "unnatural"
extension to OSPF. What should matter is the requirements, and the way
to solve those requirements.

I didn't ask you to stop saying "this is natural" because I have any
thoughts on what's natural or not, but rather, because it doesn't lead
to any useful discussion. Tossing words with emotional connotations into
the conversation doesn't clarify it in any way, shape, or form.

I could, in fact, argue that just about _any_ extension to OSPF is
"natural," in some sense or another. It's a meaningless concept, in this
world.

:-)

Russ

- --

---

From: Russ White <[email-masked]>
Date: Mon, 02 Oct 2006 18:37:29 -0400

>> What I meant is that I will define more precisely what I mean when
>> I say "natural extension".  I agree that the term needs to be defined.
>> I see that Aniket addressed this today, and I may discuss this further
>> in the next few days.  For starters I will just point to a presentation
>> slide that addresses this (but I may want to refine this later).
>> http://www3.ietf.org/proceedings/05nov/slides/ospf-3/sld4.htm

If you are going to _insist_ on calling something "natural," then you
really should evaluate all other proposals in the same terms. Again,
this is completely unnecessary, and has no bearing on anything in this
conversation. I've no idea why you are _so_ insistent on labeling
something "natural," and implying other things are not.

:-)

Russ

- --

---

From: Richard Ogier <[email-masked]>
Date: Mon, 02 Oct 2006 15:31:22 -0700

Richard

>iD8DBQFFIXyzER27sUhU9OQRAudTAKDquJWxELeauN7HH/e3bVxt/9ZHCQCfSy6v
>p+Rh7ZJspsdj7Ifg8k4B44k=
>=mJwt